Bug 656112 - [patch] MongoDB init script: automatically repair after crash
Summary: [patch] MongoDB init script: automatically repair after crash
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mongodb
Version: 15
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: ---
Assignee: Nathaniel McCallum
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-23 04:09 UTC by Tim Niemueller
Modified: 2012-02-14 09:11 UTC (History)
2 users (show)

Fixed In Version: mongodb-2.0.2-8.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-14 09:00:54 UTC


Attachments (Terms of Use)
Patch to support automatic repair of MongoDB databases after crash (4.50 KB, application/octet-stream)
2010-11-23 04:09 UTC, Tim Niemueller
no flags Details

Description Tim Niemueller 2010-11-23 04:09:28 UTC
Created attachment 462222 [details]
Patch to support automatic repair of MongoDB databases after crash

The attached patch modifies the init script file to support automatic repairing the database if it was not closed properly (e.g. if the machine crashed). The automatic repair is not enabled by default, because it may cause data loss. The repair is required until single-server durability (http://jira.mongodb.org/browse/SERVER-980) has been implemented.

It also introduces /etc/sysconfig/mongod to tune this and other settings:
- general command line options, useful for example to enable the REST interface
- path of the config file, useful for example if it resides on network storage

I would like to request that this patch is applied to rawhide, and preferably also F-13/F-14.

Comment 1 Tim Niemueller 2010-11-23 04:10:15 UTC
Oh, patch is created with git format-patch, so it can easily be applied in the fedpkg repo with "git am patch".

Comment 2 Nathaniel McCallum 2011-03-19 16:06:14 UTC
Single server durability is now fixed in 1.8.0 which is in rawhide. Therefore, I don't think this patch is required anymore.  Is that correct?  If not, please reopen the case.

Comment 3 Tim Niemueller 2011-03-19 19:46:40 UTC
Yes, that should indeed fix the problem. You should keep this open until an update to 1.8 has been pushed. Do you intend to push it for F-14?

Comment 4 Tim Niemueller 2011-03-31 07:45:51 UTC
To truely close the bug you need to enable journaling by default. I suggest adding "journal = true" as the default to /etc/mongodb.conf.

Comment 5 Tim Niemueller 2011-06-28 12:09:42 UTC
Please enable journaling by default as it is what most users will expect on local (server) installs. Only when multi-node setups are created it makes sense to disable journaling, and in that case admins will check the config file anyway.

Enabling can be achieved by adding "journal = true" to /etc/mongodb.conf

Comment 6 Fedora Admin XMLRPC Client 2011-07-01 14:23:45 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 7 Fedora Admin XMLRPC Client 2012-02-03 18:49:50 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 8 Fedora Update System 2012-02-03 19:30:31 UTC
mongodb-2.0.2-8.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mongodb-2.0.2-8.fc15

Comment 9 Fedora Update System 2012-02-03 19:30:56 UTC
mongodb-2.0.2-8.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mongodb-2.0.2-8.fc16

Comment 10 Fedora Update System 2012-02-04 05:31:40 UTC
Package mongodb-2.0.2-8.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mongodb-2.0.2-8.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-1293/mongodb-2.0.2-8.fc16
then log in and leave karma (feedback).

Comment 11 Fedora Update System 2012-02-14 09:00:54 UTC
mongodb-2.0.2-8.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2012-02-14 09:11:04 UTC
mongodb-2.0.2-8.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.